Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1871825 - Review Request: python-ratelimiter - Python module providing rate limiting
Summary: Review Request: python-ratelimiter - Python module providing rate limiting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro 1821189
TreeView+ depends on / blocked
 
Reported: 2020-08-24 11:29 UTC by Aniket Pradhan
Modified: 2020-09-25 16:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-13 14:18:57 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Aniket Pradhan 2020-08-24 11:29:16 UTC
Spec URL: https://major.fedorapeople.org/python-ratelimiter/python-ratelimiter.spec
SRPM URL: https://major.fedorapeople.org/python-ratelimiter/python-ratelimiter-1.2.0-1.post0.fc33.src.rpm

Description: This package provides the ratelimiter module, which ensures that an operation will not be executed more than a given number of times on a given period. This can prove useful when working with third parties APIs which require for example a maximum of 10 requests per second.

Fedora Account System Username: major

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=50051239

Comment 1 Nasir Hussain 2020-08-24 13:54:43 UTC
Looks like a simple Py3 library, LGTM.

Comment 2 Fabian Affolter 2020-08-26 11:01:38 UTC
Python 3 subpackage is missing.

Comment 3 Aniket Pradhan 2020-08-26 11:42:56 UTC
> Python 3 subpackage is missing.

You're right @Fabian. Added in the subpackage and patched the spec. Thanks :D(In reply to Fabian Affolter from comment #2)

Comment 4 Robert-André Mauchin 🐧 2020-08-27 21:22:23 UTC
 - Same issues: remove:

%global debug_package %{nil}

  And add

BuildArch:      noarch

  in the main package.

 - Description must be split to stay under 80 characters per line:

%global _description %{expand:
This package provides the ratelimiter module, which ensures that an operation
will not be executed more than a given number of times on a given period. This
can prove useful when working with third parties APIs which require for example
a maximum of 10 requests per second.}

 - This is now automatic, you can safely remove it:

%{?python_enable_dependency_generator}

 - Don't own the entire __pycache__ directory, only the files in it:

%{python3_sitelib}/__pycache__/*

 - post0 should be specify as extraver:

%global extraver post0

Name:           python-%{pypi_name}
Version:        1.2.0
Release:        1.%{extraver}%{?dist}

 Same in your changelog entry:

* Mon Aug 24 2020 Aniket Pradhan <major AT fedoraproject DOT org> - 1.2.0-1.post0

 Then fix the pypi_source invocation:

Source0:        %{pypi_source %{pypi_name} %{version}.%{extraver}}

 And autosetup:

%autosetup -n %{pypi_name}-%{version}.%{extraver}

 And %files:

%{python3_sitelib}/%{pypi_name}-%{version}.%{extraver}-py%{python3_version}.egg-info


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License 2.0", "Unknown or generated",
     "Apache License 2.0". 4 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/python-ratelimiter/review-
     python-ratelimiter/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-ratelimiter-1.2.0-1.post0.fc34.noarch.rpm
          python-ratelimiter-1.2.0-1.post0.fc34.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 5 Aniket Pradhan 2020-08-28 15:03:16 UTC
> Spec URL: https://major.fedorapeople.org/python-ratelimiter/python-ratelimiter.spec
> SRPM URL: https://major.fedorapeople.org/python-ratelimiter/python-ratelimiter-1.2.0-1.post0.fc33.src.rpm

Updated the links and the files as per the review.

Thanks for your help @Robert :D

Comment 6 Robert-André Mauchin 🐧 2020-08-28 15:29:19 UTC
 - Do not use macro in the changelog:

* Mon Aug 24 2020 Aniket Pradhan <major AT fedoraproject DOT org> - 1.2.0-1.post0

(otherwise the old changelog entries would be modified with each update)


Package approved, please fix the aforementioned issues before import.

Comment 7 Aniket Pradhan 2020-08-28 15:32:15 UTC
Oops, completely forgot about that :P

I'll fix it. Thanks!

Comment 8 Gwyn Ciesla 2020-08-28 15:45:44 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-ratelimiter

Comment 9 Fedora Update System 2020-09-05 11:07:00 UTC
FEDORA-2020-db31ebaeb8 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-db31ebaeb8

Comment 10 Fedora Update System 2020-09-05 11:07:01 UTC
FEDORA-2020-c9941d5bd1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c9941d5bd1

Comment 11 Fedora Update System 2020-09-05 17:56:49 UTC
FEDORA-2020-5b3e08eca9 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-5b3e08eca9 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5b3e08eca9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-09-05 18:02:44 UTC
FEDORA-2020-c9941d5bd1 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-c9941d5bd1 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c9941d5bd1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-09-05 21:39:59 UTC
FEDORA-2020-db31ebaeb8 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-db31ebaeb8 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-db31ebaeb8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-09-13 14:18:57 UTC
FEDORA-2020-5b3e08eca9 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-09-13 14:28:13 UTC
FEDORA-2020-c9941d5bd1 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-09-25 16:48:21 UTC
FEDORA-2020-db31ebaeb8 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.